%global __libtoolize :
%global  _localstatedir /var
%global momorel 2

Summary: ScrollKeeper is a cataloging system for documentation on open systems
Name: scrollkeeper

Version: 0.3.14
Release: %{momorel}m
License:  LGPL
Group: System Environment/Base
URL: http://scrollkeeper.sourceforge.net/

%NoSource 0 http://telia.dl.sourceforge.net/scrollkeeper/%{name}-%{version}.tar.gz 161eb3f29e30e7b24f84eb93ac696155
Source1: scrollkeeper-ja.po

#Patch0: scrollkeeper-0.3.12-enc.patch
#Patch1: scrollkeeper-0.3.12-cancel-rebuilddb.patch
Patch2: scrollkeeper-0.3.11-validate-warning.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: zlib-devel >= 1.1.4
BuildPrereq: libxml2-devel >= 2.6.8
BuildPrereq: libxslt-devel >= 1.1.5
BuildPreReq: autoconf >= 2.58, automake >= 1.5
BuildPreReq: docbook-dtds
PreReq: xml-common
Requires: libxml2 >= 2.6.8
Requires: intltool >= 0.30
Requires: docbook-dtds
Requires: libxslt >= 1.1.5

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%prep
%setup -q
#%patch0 -p1 -b .enc
#%patch1 -p1 -b .cancel-rebuilddb
#%__mv po/pt_BR.po po/pt.po
#%__cp %{S:1} po/ja.po
%patch2 -p1 -b .validate-warning

#aclocal
#automake-1.6 -c -f -a
#autoconf
#find . | xargs touch

%build
#%{expand:%global new_target_platform %(echo %{_target_platform} | sed -e 's/\-gnu//')%{_gnu}}
#%{expand:%global _target_platform --build=%{new_target_platform}}

#workaround broken perl-XML-Parser on 64bit arches
#export PERL5LIB=/usr/lib64/perl5/vendor_perl/5.8.2 perl

%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
export SCROLLKEEPERLOGFILE=%{buildroot}%{_localstatedir}/log/scrollkeeper.log
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%makeinstall

# mkdir -p %{buildroot}%{_datadir}/scrollkeeper/Templates
#(
#  cd %{buildroot}%{_datadir}/scrollkeeper/Templates
#  %__rm -rf en && ln -sf C en
#  for lang in de_AT en_AU en_GB en_SE en_UK en_US es_DO pt_BR \
#      es_ES es_GT es_HN es_MX es_PA es_PE es_SV ja_JP.eucJP pt_PT \
#      sv_SE ja_JP.EUC-JP no_NY; do
#    l=${lang%_*}
#    %__rm -rf $lang
#    %__ln_s -f $l $lang
#  done 
#)
#%__mkdir_p %{buildroot}%{_sysconfdir}/sysconfig/firsttime
%__mkdir_p %{buildroot}%{_localstatedir}/scrollkeeper
%__rm -rf %{buildroot}%{_libdir}/*.la %{buildroot}%{_localstatedir}/scrollkeeper/*
:> %{buildroot}%{_localstatedir}/log/scrollkeeper.log
%__rm -f %{buildroot}/var/log/scrollkeeper.log
%__rm -rf %{buildroot}/var/lib/scrollkeeper

#%__cat <<END > %{buildroot}%{_sysconfdir}/sysconfig/firsttime/scrollkeeper.sh
##!/bin/sh
#scrollkeeper-rebuilddb > /dev/null 2>&1 &
#END
#%__cat <<END > %{buildroot}%{_sysconfdir}/scrollkeeper.conf
#OMF_DIR=%{_datadir}/omf
#END


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%pre
rm -rf %{_datadir}/scrollkeeper/Templates || true
#if test -L %{_datadir}/scrollkeeper/Templates/pt_BR; then
#  %__rm %{_datadir}/scrollkeeper/Templates/pt_BR
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/zh_TW.Big5; then
#  %__rm %{_datadir}/scrollkeeper/Templates/zh_TW.Big5
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/zh_CN.GB2312; then
#  %__rm %{_datadir}/scrollkeeper/Templates/zh_CN.GB2312
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/zh_CN; then
#  %__rm %{_datadir}/scrollkeeper/Templates/zh_CN
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/zh_TW; then
#  %__rm %{_datadir}/scrollkeeper/Templates/zh_TW
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/sr_YU; then
#  %__rm %{_datadir}/scrollkeeper/Templates/sr_YU
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/pt_PT; then
#  %__rm %{_datadir}/scrollkeeper/Templates/pt_PT
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/bg_BG.cp1251; then
#  %__rm %{_datadir}/scrollkeeper/Templates/bg_BG.cp1251
#fi
#if test -L %{_datadir}/scrollkeeper/Templates/bg_BG; then
#  %__rm %{_datadir}/scrollkeeper/Templates/bg_BG
#fi

%post
if [ $1 = 2 ]; then
  # Upgrading
  echo "`date +"%b %d %X"` Upgrading to ScrollKeeper `scrollkeeper-config --version`..." >> %{_localstatedir}/log/scrollkeeper.log
fi
if [ $1 = 1 ]; then
  # Installing
  echo "`date +"%b %d %X"` Installing ScrollKeeper `scrollkeeper-config --version`..." >> %{_localstatedir}/log/scrollkeeper.log
fi
scrollkeeper-rebuilddb -p %{_localstatedir}/lib/scrollkeeper >> %{_localstatedir}/log/scrollkeeper.log 2>&1
/sbin/ldconfig

#if [ $1 = 1 ]; then
#  # There was previously no SK installed.
#  # ie. make a new %{_localstatedir}/lib/scrollkeeper.
#  # Blow away any old database that might be there, in case
#  # the user installed from tarball in the past.
#  rm -rf %{_localstatedir}/lib/scrollkeeper
#  mkdir %{_localstatedir}/lib/scrollkeeper
#  scrollkeeper-update -p %{_localstatedir}/lib/scrollkeeper
#fi
#if [ $1 = 2 ]; then
#  # There was previously a SK installed.
#  #  ie. don't make a new %{_localstatedir}/lib/scrollkeeper.
#  # However, version 0.0.4 of SK did not properly create this
#  # directory if a previous SK was installed, so just to be sure...
#  rm -rf %{_localstatedir}/lib/scrollkeeper
#  mkdir %{_localstatedir}/lib/scrollkeeper
#  scrollkeeper-update -p %{_localstatedir}/lib/scrollkeeper
#fi
#touch /var/log/scrollkeeper.log

#
# Add OMF DTD to XML catalog. In theory, we should be updating the SGML
# catalog as well and 
#
CATALOG=/etc/xml/catalog
/usr/bin/xmlcatalog --noout --add "rewriteSystem" \
 "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd" \
 "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG
/usr/bin/xmlcatalog --noout --add "rewriteURI" \
 "http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/scrollkeeper-omf.dtd" \
 "%{_datadir}/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG

%postun
if [ $1 = 0 ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  %__rm -rf %{_localstatedir}/lib/scrollkeeper/*
  %__rm -rf %{_localstatedir}/log/scrollkeeper.log*

  CATALOG=/etc/xml/catalog
  /usr/bin/xmlcatalog --noout --del \
    "/usr/share/xml/scrollkeeper/dtds/scrollkeeper-omf.dtd" $CATALOG
fi
#if [ $1 = 1 ]; then
#  # SK is being upgraded.  Do not erase {localstatedir}/lib/scrollkeeper.
#fi
#
# Make sure no junk is left in the old template directory, 
# since upgrade from 0.1.1 to 0.1.2 was broken and can leave
# files there.
#%__rm -rf %{_datadir}/scrollkeeper/templates
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC AUTHORS README ChangeLog NEWS INSTALL 
%doc scrollkeeper-spec.txt
%{_datadir}/omf/scrollkeeper
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/*.a
%{_sysconfdir}/*
%{_mandir}/*/*
%{_datadir}/scrollkeeper
%{_datadir}/xml/scrollkeeper
%{_datadir}/locale/*/*/*
%dir %{_localstatedir}/scrollkeeper


%changelog
* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (0.3.14-2m)
- revised spec for rpm 4.2.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.3.14-1m)
- version 0.3.14
- GNOME 2.6 Desktop
- import from FC1
- adjustment BuildPreReq

* Wed Apr  7 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.12-3m)
- add PreReq: cml-common.

* Tue Oct 28 2003 Kenta MURATA <muraken2@nifty.com>
- (0.3.12-2m)
- pretty spec file.
- add patch for cancel scrollkeeper-rebuilddb in %%makeinstall.

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.12-1m)
- version 0.3.12

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.11-3m)
- romania support

* Wed Sep  4 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.3.11-2m)
- [security] fix tempfile vulnerability. See: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2002-0662
  add scrollkeeper-0.3.11-tempfiles.patch

* Fri Jul 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.11-1m)
- version 0.3.11

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.10-4m)
- enc.patch: bug fix
- postun script: bug fix

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.10-3m)
- rebuild against for gnome-vfs-extras-0.99.1
- rebuild against for crux-1.9.3
- rebuild against for libart_lgpl-2.3.10
- rebuild against for ggv-1.99.8
- rebuild against for libxslt-1.0.19
- rebuild against for libgda-0.8.192
- rebuild against for libgnomedb-0.8.192
- rebuild against for gnome-db-0.8.192
- rebuild against for pygtk-1.99.11
- rebuild against for gnome-python-1.99.11
- rebuild against for gtkmm-1.3.18
- rebuild against for gnome-desktop-2.0.3
- rebuild against for gnome-panel-2.0.2
- rebuild against for gnome-session-2.0.2
- rebuild against for gedit-2.0.1
- rebuild against for glade-1.1.1
- rebuild against for gdm-2.4.0.2

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3-10-2m)
- remove "%dir %{_localstatedir}/lib/scrollkeeper"

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.3.10-1m)
- upgrade to 0.3.10
- add BuildPreReq: docbook-dtds 
- rewrite %post %postun base on rawhide's spec

* Mon Jun 03 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.9-2k)
- version 0.3.9

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.6-12k)
- rebuild against for gnome-vfs-1.9.16
- rebuild against for gnome-db-0.8.191
- rebuild against for libgda-0.8.191
- rebuild against for libgnomedb-0.8.191
- rebuild against for crux-1.9.2
- rebuild against for at-poke-0.1.0
- rebuild against for libbonobo-1.117.1
- rebuild against for libbonoboui-1.117.1
- rebuild against for libgtkhtml-1.99.8
- rebuild against for libgnome-1.117.2
- rebuild against for libgnomeui-1.117.2
- rebuild against for linc-0.5.0
- rebuild against for yelp-0.9
- rebuild against for gedit2-1.121.0
- rebuild against for eel-1.1.16
- rebuild against for nautilus-1.1.18
- rebuild against for ORBit2-2.4.0
- rebuild against for gnome-applets-1.104.0
- rebuild against for libgnomeprint-1.114.0
- rebuild against for libgnomeprintui-1.114.0
- rebuild against for libxml2-2.4.22
- rebuild against for libxslt-1.0.18
- rebuild against for gnome-utils-1.107.0
- rebuild against for gtk+-2.0.3
- rebuild against for glib-2.0.3
- rebuild against for atk-1.0.2
- rebuild against for pango-1.0.2
- rebuild against for gnome-desktop-1.5.21
- rebuild against for gnome-session-1.5.20
- rebuild against for gnome-panel-1.5.23
- rebuild against for gnome-games-1.93.0
- rebuild against for libzvt-1.116.0
- rebuild against for gal2-0.0.4

* Wed May  8 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.6-10k)
- remove docbook-utils depends

* Sun May 05 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.6-8k)
- rebuild against for GConf-1.1.10
- rebuild against for bonobo-activation-0.9.8
- rebuild against for bug-buddy-2.1.5
- rebuild against for control-center-1.99.9
- rebuild against for eel-1.1.12
- rebuild against for eog-0.117.0
- rebuild against for esound-0.2.25
- rebuild against for gconfmm-1.3.3
- rebuild against for gdm-2.3.90.2
- rebuild against for gedit2-1.118.0
- rebuild against for gnome-applets-1.100.0
- rebuild against for gnome-desktop-1.5.18
- rebuild against for gnome-media-1.520.2
- rebuild against for gnome-panel-1.5.19
- rebuild against for gnome-session-1.5.18
- rebuild against for gnome-utils-1.104.0
- rebuild against for gnome-vfs-1.9.14
- rebuild against for gnumeric-1.1.3
- rebuild against for gtkglarea-1.99.0
- rebuild against for gtkmm-1.3.13
- rebuild against for libart_lgpl-2.3.8
- rebuild against for libbonobo-1.116.0
- rebuild against for libbonoboui-1.116.0
- rebuild against for libglade-1.99.11
- rebuild against for libgnome-1.116.0
- rebuild against for libgnomecanvas-1.116.0
- rebuild against for libgnomecanvasmm-1.3.5
- rebuild against for libgnomemm-1.3.3
- rebuild against for libgnomeprintui-1.112.0
- rebuild against for libgnomeui-1.116.1
- rebuild against for libgnomeuimm-1.3.5
- rebuild against for libgtkhtml-1.99.6
- rebuild against for libwnck-0.9
- rebuild against for libxml2-2.4.21
- rebuild against for libxslt-1.0.17
- rebuild against for nautilus-1.1.14
- rebuild against for yelp-0.6.1

* Tue Apr 30 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.6-6k)
- modify scrollkeeper.conf

* Tue Apr 16 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.6-4k)
- rebuild against for ORBit2-2.3.108
- rebuild against for linc-0.1.21
- rebuild against for gnome-session-1.5.16
- rebuild against for gnome-desktop-1.5.16
- rebuild against for gnome-panel-1.5.17
- rebuild against for libxml2-2.4.20
- rebuild against for libxslt-1.0.16
- rebuild against for libgtkhtml-1.99.5
- rebuild against for yelp-0.6
- rebuild against for eog-0.116.0
- rebuild against for gnome-media-1.520.0

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.6-2k)
- version 0.3.6

* Tue Mar 19 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.4-12k)
- rebuild against for libbonobo-1.113.0
- rebuild against for bonobo-activation-0.9.6
- rebuild against for libbonoboui-1.113.0
- rebuild against for gnome-desktop-1.5.13
- rebuild against for gnome-session-1.5.12
- rebuild against for gnome-panel-1.5.14
- rebuild against for nautilus-gtkhtml-0.3.1
- rebuild against for libzvt-1.113.0
- rebuild against for gedit2-1.115.0
- rebuild against for libgnome-1.113.0
- rebuild against for libgnomecanvas-1.113.0
- rebuild against for libgnomeui-1.113.0
- rebuild against for libxml2-2.4.18
- rebuild against for libxslt-1.0.14
- rebuild against for gnome-applets-1.97.0

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.4-10k)
- rebuild against for librsvg-1.1.6
- rebuild against for libxml2-2.4.17
- rebuild against for libxslt-1.0.13
- rebuild against for atk-1.0.0
- rebuild against for pango-1.0.0
- rebuild against for glib-2.0.0
- rebuild against for gtk+-2.0.0
- rebuild against for gnome-games-1.90.2
- rebuild against for control-center-1.99.4
- rebuild against for metatheme-0.9.4
- rebuild against for gnome-vfs-1.9.9

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.4-8k)
- rebuild against for eog-0.112.0
- rebuild against for libgnomecanvas-1.112.0
- rebuild against for libgnome-1.112.0
- rebuild against for libxml2-2.4.16

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (0.3.4-6k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Tue Feb 12 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.4-4k)
- rebuild against for libxml2-2.4.15
- rebuild against for libxslt-1.0.12

* Mon Jan 28 2002 Shingo Akagaki <dora@kondara.org>
- (0.3.4-2k)
- version 0.3.4

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (0.3-12k)
- automake autoconf 1.5

* Thu Dec 20 2001 Shingo Akagaki <dora@kondara.org>
- (0.3-10k)
- update enc patch

* Fri Dec 20 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.3-8k)
- add BuildPrereq: libxslt-devel >= 1.0.9

* Thu Dec 20 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.3-6k)
- add BuildPrereq: intltool

* Wed Dec 19 2001 Shingo Akagaki <dora@kondara.org>
- (0.3-4k)
- add /etc/sysconfig/firsttime/scrollkeeper.sh

* Mon Dec 17 2001 Shingo Akagaki <dora@kondara.org>
- (0.3-2k)
- version 0.3

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.2-14k)
- nigittenu

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.2-12k)
- add scrollkeeper-0.2-get-index-from-docpath.patch

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (0.2-10k)
- rebuild against gettext 0.10.40.

* Thu Apr  5 2001 Shingo Akagaki <dora@kondara.org>
- fix files section

* Wed Apr  4 2001 Shingo Akagaki <dora@kondara.org>
- version 0.2

* Tue Mar 20 2001 Shingo Akagaki <dora@kondara.org>
- K2K

* Mon Mar 5 2001 Dan Mueth <dan@eazel.com>
- Added %postun to remove $datadir/scrollkeeper/templates
  to compensate for breakage in upgrade from 0.1.1 to 0.1.2

* Sun Mar 4 2001 Dan Mueth <dan@eazel.com>
- Added cleaner symbolic link section suggested by Karl 
  Eichwalder <keichwa@users.sourceforge.net>
- Have it blow away the database dir on first install, just
  in case an old tarball version had been installed
- Fixing the Source0 line at the top

* Tue Feb 15 2001 Dan Mueth <dan@eazel.com>
- added line to include the translations .mo file

* Tue Feb 06 2001 Dan Mueth <dan@eazel.com>
- fixed up pre and post installation scripts

* Tue Feb 06 2001 Laszlo Kovacs <laszlo.kovacs@sun.com>
- added all the locale directories and links for the template
  content list files

* Wed Jan 17 2001 Gregory Leblanc <gleblanc@cu-portland.edu>
- converted to scrollkeeper.spec.in

* Sat Dec 16 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- help files added

* Fri Dec 8 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- various small fixes added

* Thu Dec 7 2000 Laszlo Kovacs <laszlo.kovacs@sun.com>
- fixing localstatedir problem
- adding postinstall and postuninstall scripts

* Tue Dec 5 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- adding COPYING, AUTHORS, etc
- fixed localstatedir for the OMF files

* Fri Nov 10 2000 Gregory Leblanc <gleblanc@cu-portland.edu>
- Initial spec file created.
